Blue Guardrails

Deliverable Upload Urls

POST
/v1/optimization-runs/{run_id}/deliverables/upload-urls

Generates deliverable upload urls for the active runner.

Path Parameters

run_id*Run Id
Formatuuid

Header Parameters

x-workspace-id?|

Workspace UUID for session-authenticated calls.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Authorize uploads for the current lease.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/optimization-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/deliverables/upload-urls" \  -H "Content-Type: application/json" \  -d '{    "lease_id": "2bb93227-93ec-4b58-a0aa-93b5a1121b74",    "files": [      {        "file_name": "string",        "size_bytes": 0,        "sha256": "string"      }    ]  }'
{  "files": [    {      "file_name": "string",      "upload_url": "string",      "expires_at": "2019-08-24T14:15:22Z"    }  ]}